
Foreman - Feature #4469

Overriding or setting parameter values should show available values based on type and validator

02/27/2014 10:16 AM - Dominic Cleal

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Parameters   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When setting the value of a parameter, either the default or overriding it, a dropdown or auto-completion of possible values should be

provided where the smart class parameter has a type or validator set.

A parameter set to type boolean should provide the user with a true/false selection, or a parameter with a list validator should provide

those as options.

(https://bugzilla.redhat.com/show_bug.cgi?id=1070386)

Related issues:

Related to Foreman - Tracker #4470: Usability of parameters and overrides New

Related to Foreman - Feature #2753: Addition of Drop Down / Chooseable Parame... New 07/08/2013

Related to Foreman - Bug #5168: Setting a host_group parameter to an invalid ... Resolved 04/11/2014

Related to Foreman - Feature #13821: Puppet class parameters shouldn't alway ... Closed 02/20/2016

History

#1 - 02/27/2014 10:20 AM - Dominic Cleal

- Related to Tracker #4470: Usability of parameters and overrides added

#2 - 02/27/2014 10:21 AM - Dominic Cleal

- Related to Feature #2753: Addition of Drop Down / Chooseable Parameters with fixed values added

#3 - 04/12/2014 12:12 AM - Stephen Benjamin

- Related to Bug #5171: When editing a puppetclass parameter, wrong parameter information is displayed added

#4 - 04/12/2014 12:19 AM - Stephen Benjamin

- Related to Bug #5168: Setting a host_group parameter to an invalid value doesn't show error added

#5 - 04/12/2014 12:38 AM - Stephen Benjamin

- Related to deleted (Bug #5171: When editing a puppetclass parameter, wrong parameter information is displayed)

#6 - 02/22/2016 03:46 AM - Dominic Cleal

- Related to Feature #13821: Puppet class parameters shouldn't alway show a text box when changing them added

#7 - 02/24/2016 05:23 AM - Dominic Cleal

- Status changed from New to Duplicate

Fixed by #13821.
